Last Comment Bug 708283 - NullPointerException in VideoPlayer on launch
: NullPointerException in VideoPlayer on launch
Status: RESOLVED FIXED
[mobile-crash][inbound]
: crash
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: ARM Android
: -- normal (vote)
: Firefox 11
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
Depends on:
Blocks: 705572 708574
  Show dependency treegraph
 
Reported: 2011-12-07 09:34 PST by Gian-Carlo Pascutto [:gcp]
Modified: 2011-12-21 02:28 PST (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.43 KB, patch)
2011-12-07 09:44 PST, Brad Lassey [:blassey] (use needinfo?)
doug.turner: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Gian-Carlo Pascutto [:gcp] 2011-12-07 09:34:43 PST
Happens whenever I try to launch.

    E/AndroidRuntime(17631): FATAL EXCEPTION: main
    E/AndroidRuntime(17631): java.lang.RuntimeException: Unable to start activity ComponentInfo{org.mozilla.fennec_morbo/org.mozilla.gecko.VideoPlayer}: java.lang.NullPointerException
    E/AndroidRuntime(17631):        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1651)
    E/AndroidRuntime(17631):        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:1667)
    E/AndroidRuntime(17631):        at android.app.ActivityThread.access$1500(ActivityThread.java:117)
    E/AndroidRuntime(17631):        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:935)
    E/AndroidRuntime(17631):        at android.os.Handler.dispatchMessage(Handler.java:99)
    E/AndroidRuntime(17631):        at android.os.Looper.loop(Looper.java:130)
    E/AndroidRuntime(17631):        at android.app.ActivityThread.main(ActivityThread.java:3691)
    E/AndroidRuntime(17631):        at java.lang.reflect.Method.invokeNative(Native Method)
    E/AndroidRuntime(17631):        at java.lang.reflect.Method.invoke(Method.java:507)
    E/AndroidRuntime(17631):        at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:907)
    E/AndroidRuntime(17631):        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:665)
    E/AndroidRuntime(17631):        at dalvik.system.NativeStart.main(Native Method)
    E/AndroidRuntime(17631): Caused by: java.lang.NullPointerException
    E/AndroidRuntime(17631):        at org.mozilla.gecko.VideoPlayer.onCreate(VideoPlayer.java:64)
    E/AndroidRuntime(17631):        at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1047)
    E/AndroidRuntime(17631):        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1615)
    E/AndroidRuntime(17631):        ... 11 more
    W/ActivityManager( 2715):   Force finishing activity org.mozilla.fennec_morbo/org.mozilla.gecko.VideoPlayer
    I/dumpstate(17640): begin
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2011-12-07 09:44:09 PST
Created attachment 579725 [details] [diff] [review]
patch
Comment 2 Gian-Carlo Pascutto [:gcp] 2011-12-07 12:22:31 PST
I confirm this fixes the issue for me.
Comment 3 Gian-Carlo Pascutto [:gcp] 2011-12-07 13:41:56 PST
More info: this is a Samsung Galaxy S2 with the stock Samsung firmware. Fresh compile and install of Fennec.
Comment 4 Tony Chung [:tchung] 2011-12-07 15:17:40 PST
i can't reproduce this crash on samsung galaxy S2, Fx9 beta 5 build.  Running a clean profile, i can open firefox, visit a youtube page, and launch the youtube player and play videos.  no crash.

gcp, can you share more details on your repro steps so i can reproduce?
Comment 5 Gian-Carlo Pascutto [:gcp] 2011-12-07 15:33:43 PST
Not sure why version was set to 9 here? This was a XUL build from (approximately):
https://hg.mozilla.org/mozilla-central/rev/658fad825c36

There are no steps to reproduce, the crash is immediately after launch.
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2011-12-07 17:13:47 PST
pushed to inbound https://hg.mozilla.org/integration/mozilla-inbound/rev/2087537890f0
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2011-12-07 17:14:33 PST
Naoki, why did you mark this as reproducible? Have you been able to reproduce it?
Comment 8 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-12-07 23:56:17 PST
I think I marked this bug reproducible by mistake.  I was looking at multiple crashing bugs during this time.
Comment 9 Alex Keybl [:akeybl] 2011-12-07 23:59:32 PST
Is it clear that beta is affected at this point?
Comment 10 Aaron Train [:aaronmt] 2011-12-08 08:01:21 PST
(In reply to Alex Keybl [:akeybl] from comment #9)
> Is it clear that beta is affected at this point?

Yes.

A second shortcut is created on installation Firefox Beta, which when invoked causes this NPE.
Comment 11 Aaron Train [:aaronmt] 2011-12-08 08:01:36 PST
Which is bug 708574
Comment 12 Ed Morley [:emorley] 2011-12-08 08:43:22 PST
https://hg.mozilla.org/mozilla-central/rev/2087537890f0
Comment 13 Alex Keybl [:akeybl] 2011-12-08 11:14:15 PST
Comment on attachment 579725 [details] [diff] [review]
patch

[Triage Comment]
We've now had a reproduction in 708574. Please land on aurora and beta. We'll be re-spinning beta 5 mobile this morning for this bug. Please make sure to land on the beta 5 branch of beta, as well as default/tip. Thanks!

Note You need to log in before you can comment on or make changes to this bug.